﻿using GrapeCity.ActiveReports;

namespace ExportToPDF
{
    internal class CustomFontResolver : IFontResolver
    {
        static readonly GrapeCity.Documents.Text.FontCollection _fonts = new GrapeCity.Documents.Text.FontCollection();
        static CustomFontResolver()
        {
            GrapeCity.Documents.Text.Windows.FontLinkHelper.UpdateFontLinks(_fonts, true);
            _fonts.DefaultFont = _fonts.FindFamilyName("Arial");
        }
        public static GrapeCity.ActiveReports.IFontResolver Instance = new CustomFontResolver();
        private CustomFontResolver() { }
        GrapeCity.Documents.Text.FontCollection GrapeCity.ActiveReports.IFontResolver.GetFonts(string familyName, bool isBold, bool isItalic)
        {
            var fonts = new GrapeCity.Documents.Text.FontCollection();
            fonts.Add(_fonts.FindFamilyName(familyName, isBold, isItalic) ?? _fonts.DefaultFont);
            GrapeCity.Documents.Text.Windows.FontLinkHelper.UpdateEudcLinks(fonts);
            return fonts;
        }
    }
}